org.apache.tools.ant.taskdefs.optional.jsp.compilers

## Interface JspCompilerAdapter

All Known Implementing Classes:
  DefaultJspCompilerAdapter, JasperC

    public interface JspCompilerAdapter

The interface that all jsp compiler adapters must adher to.

A compiler adapter is an adapter that interprets the jspc's parameters in preparation to be passed off to the compiler this adapter represents. As all the necessary values are stored in the Jspc task itself, the only thing all adapters need is the jsp task, the execute command and a parameterless constructor (for reflection).

### Method Summary

All Methods Instance Methods Abstract Methods
`JspMangler` `createMangler()`
`boolean` `execute()` Executes the task.
`boolean` `implementsOwnDependencyChecking()` ask if compiler can sort out its own dependencies
`void` `setJspc(JspC attributes)` Sets the compiler attributes, which are stored in the Jspc task.

### Method Detail

#### setJspc

    void setJspc(JspC attributes)

Sets the compiler attributes, which are stored in the Jspc task.

Parameters:
  `attributes` - the jsp compiler attributes

#### execute

    boolean execute()
             throws BuildException

Executes the task.

Returns:
  has the compilation been successful
Throws:
  `BuildException` - on error

#### createMangler

    JspMangler createMangler()

Returns:
  an instance of the mangler this compiler uses

#### implementsOwnDependencyChecking

    boolean implementsOwnDependencyChecking()

ask if compiler can sort out its own dependencies

Returns:
  true if the compiler wants to do its own depends